Bug 891272 - (ethumb) Review Request: ethumb - Thumbnail generation library for EFL
Review Request: ethumb - Thumbnail generation library for EFL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
Wolfgang Ulbrich
:
Depends On: edje e_dbus emotion Enlightenment-Tracker
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 07:11 EST by Rahul Sundaram
Modified: 2013-09-23 20:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: ethumb-1.7.8-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chat-to-me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2013-01-02 07:11:28 EST
Spec URL: http://sundaram.fedorapeople.org/packages/ethumb.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/ethumb-1.7.4-1.fc18.src.rpm
Description:
Ethumb is a thumbnail generation library.
Fedora Account System Username:sundaram
Comment 1 Dan Mashal 2013-08-20 18:54:29 EDT
Updated to 1.7.8

Spec URL: http://vicodan.fedorapeople.org/E/ethumb.spec
SRPM URL: http://vicodan.fedorapeople.org/E/ethumb-1.7.8-1.fc20.src.rpm
Description:
Ethumb is a thumbnail generation library.
Comment 2 Christopher Meng 2013-08-27 21:01:43 EDT
Dan, if you agree, I can take this review.
Comment 3 Wolfgang Ulbrich 2013-08-28 06:33:38 EDT
Here we go...

MUST:
1)

GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/ltmain.sh

LGPL (v2.1 or later)
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/bin/ethumb.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/bin/ethumbd.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/bin/ethumbd_child.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/bin/ethumbd_client.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/client/ethumb_client.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/ethumb.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/tests/ethumb_dbus.c

Public domain
-------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/md5.c

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/autogen.sh
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/bin/ethumbd_private.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/Ethumb.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/Ethumb_Plugin.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/client/Ethumb_Client.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/ethumb_private.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/lib/md5.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/plugins/emotion/emotion.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/ethumb-1.7.8/src/plugins/epdf/epdf.c

You should use
License:        LGPLv2+ and GPLv2+

2)
Pls, fix typo in url line, change
Url:            http://enlightenment.org/
to
URL:            http://enlightenment.org/

EASY TO FIX:

Rpmlint (installed packages)
----------------------------
# rpmlint ethumb ethumb-devel
ethumb.x86_64: W: incoherent-version-in-changelog 1.7.7-1 ['1.7.8-1.fc21', '1.7.8-1']
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libedje.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_file.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_evas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libevas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libexif.so.12
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libpthread.so.0
ethumb.x86_64: W: no-manual-page-for-binary ethumb
ethumb.x86_64: W: no-manual-page-for-binary ethumbd
ethumb.x86_64: W: no-manual-page-for-binary ethumbd_client
ethumb-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'

3) PLease check changelog entries.
4) The unused-direct-shlib-dependency warning can be fix with using
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
after the configure call.
see https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Rest looks good.
Comment 4 Christopher Meng 2013-08-28 06:36:20 EDT
ltmain.sh is from libtool, many packages have this "problem", it's false positive.
Comment 5 Wolfgang Ulbrich 2013-08-28 06:52:49 EDT
Ok, i agree, than don't change license entry.

Christopher, i'm going on holidays tommorrow morning. So feel free to do the review if it isn't finished until tommorrow.
Comment 6 Wolfgang Ulbrich 2013-08-28 07:31:45 EDT
Christopher, same for other reviews.
Comment 7 Wolfgang Ulbrich 2013-08-28 16:34:43 EDT
APPROVED!

BUT PLEASE FIX THIS BEFORE YOU UPLOAD TO FEDORA GIT !!!!!!!!!!!!!!!

MUST:
1)

[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ethumb-
     devel

Please add isa and release tag to provide in -devel subpakage.

2)

Pls, fix typo in url line, change
Url:            http://enlightenment.org/
to
URL:            http://enlightenment.org/

3)

[!]: Changelog in prescribed format.

# rpmlint ethumb ethumb-devel
ethumb.x86_64: W: incoherent-version-in-changelog 1.7.7-1 ['1.7.8-1.fc21', '1.7.8-1']



EASY TO FIX:

Rpmlint (installed packages)
----------------------------
# rpmlint ethumb ethumb-devel
ethumb.x86_64: W: incoherent-version-in-changelog 1.7.7-1 ['1.7.8-1.fc21', '1.7.8-1']
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libedje.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_file.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_evas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libevas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libexif.so.12
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libpthread.so.0
ethumb.x86_64: W: no-manual-page-for-binary ethumb
ethumb.x86_64: W: no-manual-page-for-binary ethumbd
ethumb.x86_64: W: no-manual-page-for-binary ethumbd_client
ethumb-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'

3) PLease check changelog entries.
4) The unused-direct-shlib-dependency warning can be fix with using
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
after the configure call.
see https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency







Full review log:

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ethumb-
     devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Public domain", "LGPL (v2.1 or later)", "GPL (v2 or later)", "Unknown or
     generated". 9 files have unknown license. Detailed output of licensecheck
     in /home/rave/891272-ethumb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ethumb-1.7.8-1.fc21.x86_64.rpm
          ethumb-devel-1.7.8-1.fc21.x86_64.rpm
ethumb.x86_64: W: incoherent-version-in-changelog 1.7.7-1 ['1.7.8-1.fc21', '1.7.8-1']
ethumb.x86_64: W: no-manual-page-for-binary ethumb
ethumb.x86_64: W: no-manual-page-for-binary ethumbd
ethumb.x86_64: W: no-manual-page-for-binary ethumbd_client
ethumb-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ethumb ethumb-devel
ethumb.x86_64: W: incoherent-version-in-changelog 1.7.7-1 ['1.7.8-1.fc21', '1.7.8-1']
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libedje.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_file.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libecore_evas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libevas.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/librt.so.1
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libexif.so.12
ethumb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libethumb_client.so.1.7.8 /lib64/libpthread.so.0
ethumb.x86_64: W: no-manual-page-for-binary ethumb
ethumb.x86_64: W: no-manual-page-for-binary ethumbd
ethumb.x86_64: W: no-manual-page-for-binary ethumbd_client
ethumb-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 13 warnings.
# echo 'rpmlint-done:'



Requires
--------
ethumb (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdbus-1.so.3()(64bit)
    libecore.so.1()(64bit)
    libecore_evas.so.1()(64bit)
    libecore_file.so.1()(64bit)
    libedbus.so.1()(64bit)
    libedje.so.1()(64bit)
    libeet.so.1()(64bit)
    libeina.so.1()(64bit)
    libemotion.so.1()(64bit)
    libethumb.so.1()(64bit)
    libethumb_client.so.1()(64bit)
    libevas.so.1()(64bit)
    libexif.so.12()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

ethumb-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ethumb
    libethumb.so.1()(64bit)
    libethumb_client.so.1()(64bit)
    pkgconfig(ecore)
    pkgconfig(ecore-evas)
    pkgconfig(ecore-file)
    pkgconfig(edje)
    pkgconfig(eina)
    pkgconfig(emotion)
    pkgconfig(evas)
    pkgconfig(libexif)



Provides
--------
ethumb:
    ethumb
    ethumb(x86-64)
    libethumb.so.1()(64bit)
    libethumb_client.so.1()(64bit)

ethumb-devel:
    ethumb-devel
    ethumb-devel(x86-64)
    pkgconfig(ethumb)
    pkgconfig(ethumb_client)



Unversioned so-files
--------------------
ethumb: /usr/lib64/ethumb/plugins/emotion.so

Source checksums
----------------
http://download.enlightenment.org/releases/ethumb-1.7.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : c1e6f2bf5117a1b6b9bac8c9ccd72b4b8ade6c03ca1cb77f2ff51538ec5f1ba7
  CHECKSUM(SHA256) upstream package : c1e6f2bf5117a1b6b9bac8c9ccd72b4b8ade6c03ca1cb77f2ff51538ec5f1ba7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 891272
Comment 8 Dan Mashal 2013-08-28 18:25:34 EDT
New Package SCM Request
=======================
Package Name: ethumb
Short Description: Thumbnail generation library for EFL
Owners: vicodan sundaram spot
Branches: f19 f20
Comment 9 Jon Ciesla 2013-08-29 08:00:21 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-09-05 20:03:14 EDT
ethumb-1.7.8-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ethumb-1.7.8-3.fc19
Comment 11 Fedora Update System 2013-09-05 20:03:31 EDT
ethumb-1.7.8-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ethumb-1.7.8-3.fc20
Comment 12 Fedora Update System 2013-09-06 13:25:21 EDT
ethumb-1.7.8-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-09-22 20:48:39 EDT
ethumb-1.7.8-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-09-23 20:30:09 EDT
ethumb-1.7.8-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.